AutoTimer Plugin

  • Quote

    Original von betonme
    Hab ich hinzugefügt. Kommt mit der Version 4.1.4


    Top, Danke!

  • Ich habe die selben Probleme wie Mülleimer321.
    Die Tipps von Herbert38 helfen bei mir nicht.


    Nach mehreren Tests habe ich folgendes herausgefunden:


    Es betrifft nur Autotimer die nach dem letzten Update neu angelegt wurden/werden und dann auch nur Doppelfolgen.


    Zuerst werden die beiden Timer korrekt angelegt. Beim nächsten Parsen (bei mir alle 3 Stunden) wird einer der beiden Timer gelöscht und der andere erscheint dann 2 mal.
    Beim 3. Parsen ist der verschwundene Timer wieder da und der andere bleibt doppelt.
    Beim 4. Parsen ist der Timer, der schon beim 2. Parsen verschwunden ist wieder weg, dafür ist der andere Timer dann schon 3 mal vorhanden usw.

    Gruß PP
    ---------------------------------------------------------------------------OE 2.0/2.5 immer die aktuellste

  • Danke und viel Spaß! :P

    Gruß PP
    ---------------------------------------------------------------------------OE 2.0/2.5 immer die aktuellste

  • Herbert38


    Hab die Einstellungen wie von dir beschrieben übernommen.
    Seither hatte ich wirklich keine doppelten Timer mehr....



    :thx:

    DM7000s + 500GB hdd
    DM8000 HD DMOE2.0+GP3.2/flash + 1TB hdd+ Sandisk Extreme III 4GB SDHC
    DM920 UHD 4K 1x DVB-S2 FBC + 1TB hdd

    Edited once, last by SuPerfrEa|< ().

  • Hallo Fan gemeinde,


    ich habe den autotimer neu vom merlinportal geholt aber er ist dort veraltet. Wo bekomme ich den autotimer als mips32el oder _all geladen?
    wenn ich vom Gui die scr datei kopiere dann meldet er einen Fehler.


    Was kann ich tun?


    Gruß der sonnengott

  • NN2 hat doch immer tagesaktuelle Versionen auf dem daily Feed.

    so long
    m0rphU



    :aufsmaul: Kein Support per PN! :aufsmaul:

  • Hallo


    jetzt nochmal alles neu instaliert und dann sgat er es ist veraltet.


    was muss ich tun um wieder autotimer wieder zu benutzen.
    Wenn ich die src kopiere dann kommt wieder die fehlermeldung wie vor 2 posts.


    Was muss ich tun. gibt es keine mips32el mehr

  • Ich werde hier jetzt nicht auf den Newnigma2 Feed verlinken, weil da auch verbotene Sachen liegen. Aber du findest dort ohne Weiteres ein autotimer ipk (mips32el), das in jedem OE 2.0 Image läuft.


    Wie gesagt alles auf dem "newnigma2 daily feed" ;)

    so long
    m0rphU



    :aufsmaul: Kein Support per PN! :aufsmaul:

  • 1. ist das der stable Feed und nicht der daily
    2. hatte ich doch gesagt, dass der Link hier nicht gern gesehen ist, wegen anderer verbotener Sachen dort.


    Edit: Muss mich entschuldigen :rolleyes: Da liegen ja gar keine verbotenen Sachen mehr drauf :kaffee:
    Dann bleibt nur noch der Hinweis, dass es ja nur auf dem daily Feed wirklich immer aktuell ist. Der stable Stand ist gerade vom Januar, daily von heute :D

    so long
    m0rphU



    :aufsmaul: Kein Support per PN! :aufsmaul:

    Edited 2 times, last by m0rphU ().

  • Die 4.1.4. verhindert bei mir den enigma2 start:



    Edit: Die 4.1.2 find ich jetzt nicht mehr bei mir im Download, die lief aber bis eben... Ich versteh nicht was da in die Hose gegangen sein soll?


    Edit2:


    Das zeigt der diff zwischen einer funktoinieren Version und der aktuellen... Ich hab mal die "alte" AutoPoller.py genommen damit die Box weiter läuft

  • Super, Danke!


    Vielleicht ist das für mich in der Zeit in der ich hier mitlese untergegangen, aber wo finde ich den src noch ausser im enigma2-plugin github? Oder nur da? Und ich find auch die deutsche Übersetzung nicht mehr? Ich meine vor dem rumspielen waren die Meldungen auf Deutsch, jetzt sind sie Englisch?!


    Edit:
    Kann es sein, dass ein Klammern-Paar durchgegangen ist? In Zeile 46? Die habe ich analg zur anderen Zeile auch geändert, dann ist das Problem ganz weg.


    Edit2:
    Der Großteil ist auf Deutsch, die Einstellungen, das Web-IF, die Bedienung des Plugins, was aber nicht Deutsch ist ist die Meldung wieviele Timer hinzugefügt, geändert etc... worden sind. Ich bin aber der Meinung, dass das mal Deutsch war?! Aber ich finde nirgendwo eine aktuelle AutoTimer.mo in Deutsch

  • Zum Edit:
    Ja und in der Zeile 55 war noch ein Fehler


    Zum Edit2:
    Dann muss die po noch angepasst werden:
    https://github.com/opendreambo…/tree/master/autotimer/po


    Die mo wird dann automatisch generiert.
    Diese findest du beim nächsten Update im AutoTimer Paket.


    Update:
    Alles Sourcen des AutoTimers werden bei github im Repository enigma2-plugin gepflegt

  • Hi,


    Ich dachte den in Zeile 55 hatte ich verdreht als ich den diff von Hand übertragen hab :)


    Zwei kleine Fragen:


    - In dem po File stehen manche sachen nicht drin (also z.B. der Bezug zum Series Renamer in den Details eines Timers -> Label series) - wie macht man da die richtige Übersetzung? Es muss ja vermutlich erst der "richtige" englische Text davor kommen im po file?


    - Ich hab mir mein AutoTimer.mo mal angeschaut, da steht aber auch genau der Teil drin der bei mir in Englisch ist während das Plugin sonst zu 95% auf Deutsch ist?

    Code
    %d Timer wurden hinzugefügt und
    %d geändert,
    %d Konflikte gefunden,
    %d alternative Timer hinzugefügt.


    /usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/locale/de/LC_MESSAGES/AutoTimer.mo ist aber doch der richtige Pfad? also scheinbar ja schon, weil es ja zu 95% auf Deutsch ist, nur die besagte Meldung ist mir bisher aufgefallen?!


    Viele Grüße

  • Ich habs mal mit dem poedit überarbeitet, ich hoffe, dass das dann auch so OK ist.


    Anbei die Files (po und mo)

    Files

    • de.zip

      (20.91 kB, downloaded 10 times, last: )